## dzl-tab dzl-tab |

## Functions

const gchar * | dzl_tab_get_icon_name ()
void | dzl_tab_set_icon_name ()
const gchar * | dzl_tab_get_title ()
void | dzl_tab_set_title ()
GtkPositionType | dzl_tab_get_edge ()
void | dzl_tab_set_edge ()
GtkWidget * | dzl_tab_get_widget ()
void | dzl_tab_set_widget ()
gboolean | dzl_tab_get_active ()
void | dzl_tab_set_active ()
gboolean | dzl_tab_get_can_close ()
void | dzl_tab_set_can_close ()
DzlTabStyle | dzl_tab_get_style ()
void | dzl_tab_set_style ()

## Description

## Functions

### dzl_tab_get_icon_name ()

    const gchar *
    dzl_tab_get_icon_name (DzlTab *self);

### dzl_tab_set_icon_name ()

    void
    dzl_tab_set_icon_name (DzlTab *self,
                           const gchar *icon_name);

### dzl_tab_get_title ()

    const gchar *
    dzl_tab_get_title (DzlTab *self);

### dzl_tab_set_title ()

    void
    dzl_tab_set_title (DzlTab *self,
                       const gchar *title);

### dzl_tab_get_edge ()

    GtkPositionType
    dzl_tab_get_edge (DzlTab *self);

### dzl_tab_set_edge ()

    void
    dzl_tab_set_edge (DzlTab *self,
                      GtkPositionType edge);

### dzl_tab_get_widget ()

    GtkWidget *
    dzl_tab_get_widget (DzlTab *self);

#### Returns

A GtkWidget or `NULL`.

[transfer none][nullable]

### dzl_tab_set_widget ()

    void
    dzl_tab_set_widget (DzlTab *self,
                        GtkWidget *widget);

### dzl_tab_get_active ()

    gboolean
    dzl_tab_get_active (DzlTab *self);

### dzl_tab_set_active ()

    void
    dzl_tab_set_active (DzlTab *self,
                        gboolean active);

### dzl_tab_get_can_close ()

    gboolean
    dzl_tab_get_can_close (DzlTab *self);

### dzl_tab_set_can_close ()

    void
    dzl_tab_set_can_close (DzlTab *self,
                           gboolean can_close);

### dzl_tab_get_style ()

    DzlTabStyle
    dzl_tab_get_style (DzlTab *self);

### dzl_tab_set_style ()

    void
    dzl_tab_set_style (DzlTab *self,
                       DzlTabStyle style);

## Types and Values